/*
Basic Commands.
*/

COM_AddCommand("song", function(player, arg1)
    if arg1 == "1" then
	    CONS_Printf(player, "love is quaranteed")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("1", true, player)
	elseif arg1 == "2" then
	    CONS_Printf(player, "Nine One One")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("2", true, player)
	elseif arg1 == "3" then
	    CONS_Printf(player, "Volcanic Liftoff")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("VOLCANIC_LIFTOFF", true, player)
	elseif arg1 == "4" then
	    CONS_Printf(player, "Desert Relics")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("RELIC", true, player)
	elseif arg1 == "5" then
	    CONS_Printf(player, "Crystal Forest : Act 1")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("CYST1", true, player)
	elseif arg1 == "6" then
	    CONS_Printf(player, "Crystal Forest : Act 2")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("CYST2", true, player)
	elseif arg1 == "7" then
	    CONS_Printf(player, "Desolated City : Act 2")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("DROWN", true, player)
	elseif arg1 == "8" then
	    CONS_Printf(player, "Dance")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("DANCE", true, player)
	elseif arg1 == "9" then
	    CONS_Printf(player, "Surge")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("SURGE", true, player)
	elseif arg1 == "10" then
	    CONS_Printf(player, "Kitsunami")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("TSUNA", true, player)
	elseif arg1 == "11" then
	    CONS_Printf(player, "Techno Battery")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("TECHN", true, player)
	elseif arg1 == "12" then
	    CONS_Printf(player, "Unused Cyberdime Core Theme")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("CYBER", true, player)
	elseif arg1 == "13" then
	    CONS_Printf(player, "Gran Turismo 3 : Arcade Mode")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("ARCAD", true, player)
	elseif arg1 == "14" then
	    CONS_Printf(player, "FREEEE BIIRRRDD")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("TTSR", true, player)
	elseif arg1 == "15" then
	    CONS_Printf(player, "TSRV1 Theme")
	    CONS_Printf(player, "(Use Midi)")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("TSRV1", true, player)
	elseif arg1 == "16" then
	    CONS_Printf(player, "TSRV2 Theme")
	    CONS_Printf(player, "(Use Midi)")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("TSRV2", true, player)
	elseif arg1 == "17" then
	    CONS_Printf(player, "TSRV3 Theme")
	    CONS_Printf(player, "(Use Midi)")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("TSRV3", true, player)
	elseif arg1 == "18" then
	    CONS_Printf(player, "Frozen Hillside : Act 2")
	    CONS_Printf(player, "(Use Midi)")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("FHZ", true, player)
	elseif arg1 == "19" then
	    CONS_Printf(player, "Azure Temple : Arranged")
	    CONS_Printf(player, "(Use Midi)")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("ATZ", true, player)
	elseif arg1 == "20" then
	    CONS_Printf(player, "Aerial Garden : Arranged")
	    CONS_Printf(player, "(Use Midi)")
		S_StartSound(player.mo, sfx_cdpcm4)
		S_ChangeMusic("AGZ", true, player)
    elseif arg1 == "0" or arg1 == "no" or arg1 == "stop" then
	    CONS_Printf(player, "Kit has ceased the tunes")
		S_StartSound(player.mo, sfx_menu1)
		COM_BufInsertText(player, "tunes -default")
    end
end)

COM_AddCommand("babymode", function(player, arg1)
    if arg1 == "1" then
	    CONS_Printf(player, ":child:")
		S_StartSound(player.mo, sfx_cdpcm4)
        player.babymode = 1
    elseif arg1 == "0" then
	    CONS_Printf(player, ":nomorechild:")
		S_StartSound(player.mo, sfx_zoom)
        player.babymode = 0
    end
end)

COM_AddCommand("surgeslip", function(player, arg1)
    if arg1 == "yes" then
	    CONS_Printf(player, "Surge now slips around like Drippy.")
		S_StartSound(player.mo, sfx_cdpcm4)
        player.surgeslip = true
    elseif arg1 == "no" then
	    CONS_Printf(player, "Surge no longer slipes around like Dripper")
		S_StartSound(player.mo, sfx_zoom)
        player.surgeslip = false
    end
end)

addHook("PlayerThink", function(player)
	if (player.pflags == PF_SLIDING) return end
	if player and player.valid and player.mo.skin == "surge" and player.cmd.forwardmove and player.surgeslip then
		if (player.speed >= 1*FRACUNIT) and player.mo.skin == "surge" and player.cmd.forwardmove
			player.mo.friction = FRACUNIT + (FRACUNIT/2020)
		end
	end
end)

addHook("PlayerThink", function(player)
	if (player.pflags == PF_SLIDING) return end
	if player and player.valid and player.mo.skin == "surge" and player.cmd.sidemove and player.surgeslip then
		if (player.speed >= 1*FRACUNIT) and player.mo.skin == "surge" and player.cmd.sidemove
			player.mo.friction = FRACUNIT + (FRACUNIT/2020)
		end
	end
end)